import java.sql.*;

import java.util.TimeZone;

public class TimeTest
{

	public static void main(String args[]) throws Exception
	{
		Class.forName("org.postgresql.Driver");
		Connection conn = DriverManager.getConnection("jdbc:postgresql://localhost:5830/jurka", "jurka", "");

		Statement stmt = conn.createStatement();

		stmt.execute("CREATE TEMP TABLE timetest (a time with time zone)");

		TimeZone.setDefault(TimeZone.getTimeZone("America/Los_Angeles"));
		PreparedStatement ps = conn.prepareStatement("INSERT INTO timetest VALUES (?)");
		Time origTime = new Time(1);
		ps.setTime(1, origTime);
		ps.executeUpdate();
		ps.close();

		ResultSet rs = stmt.executeQuery("SELECT * FROM timetest");
		rs.next();
		System.out.println("Orig Time: " + origTime);
		System.out.println("Orig TZ offset: " + origTime.getTimezoneOffset());
		System.out.println("Orig millis: " + origTime.getTime());
		System.out.println("Result as String: " + rs.getString(1));
		System.out.println("Result Time: " + rs.getTime(1));
		System.out.println("Result TZ Offset: " + rs.getTime(1).getTimezoneOffset());
		System.out.println("Result millis: " + rs.getTime(1).getTime());
	}
}

